# collada.controller.Morph

class collada.controller.Morph(source_geometry, target_list, xmlnode=None)

  Class containing data collada holds in the <morph> tag

  __init__(source_geometry, target_list, xmlnode=None)

    Create a morph instance

    Parameters:
      source_geometry

        The source geometry (Geometry)

      targets

        A list of tuples where each tuple (g,w) contains a Geometry (g) and a float weight value (w)

      xmlnode

        When loaded, the xmlnode it comes from

  Methods

  `__init__`(source_geometry, target_list[, xmlnode]) | Create a morph instance
  `bind`(matrix, materialnodebysymbol) | Create a bound morph from this one, transform and material mapping
  `load`(collada, localscope, morphnode, ...) | Load and return a class instance from an XML node.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  Attributes

  `xmlnode` | ElementTree representation of the data.
  `source_geometry` | The source geometry (Geometry)
  `target_list` | A list of tuples where each tuple (g,w) contains a Geometry (g) and a float weight value (w)